package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapLaboratoriumVO extends BaseTransactionVO{

	@ManyToOne
	@NotNull(message = "PapGinekologi tidak boleh kosong")
	private PapGinekologiVO papGinekologi;
		
	@ManyToOne
	@NotNull(message = "RmLaboratorium tidak boleh kosong")
	private GinekologiVO rmLaboratorium;

	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;

	public PapGinekologiVO getPapGinekologi() {
		return papGinekologi;
	}

	public void setPapGinekologi(PapGinekologiVO papGinekologi) {
		this.papGinekologi = papGinekologi;
	}

	public GinekologiVO getRmLaboratorium() {
		return rmLaboratorium;
	}

	public void setRmLaboratorium(GinekologiVO rmLaboratorium) {
		this.rmLaboratorium = rmLaboratorium;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}
	
}
